#pragma once
#include "LittleFS.h"
#include "ArduinoJson.h"
class Config
{
private:
    uint8_t *buffer = nullptr;

public:
    Config();
    ~Config();
    const char *SSID;
    const char *PASS;
    uint8_t *mode;
    uint32_t *ip;
    uint32_t *subnet;
    uint32_t *gw;
    bool loadConfig();
    bool loadBin();
    bool saveBin();
    void print();
    bool setSSID(const char *ssid);
    bool setPASS(const char *pass);
};