import React, { Component } from 'react'
import styled, {withTheme} from 'styled-components'
import { Table, Button } from '../components'
import Card from '../components/Card'
export class Logs extends Component {
    render() {
        return (
            <>
                <h3>Logs</h3>
                <Table>
                    <thead>
                        <tr>
                            <td>Time</td>
                            <td>Type</td>
                            <td>Info</td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>12.12.12 08:12</td>
                            <td>Authentication</td>
                            <td>[NFC] Max Mustermann</td>
                        </tr>
                        <tr>
                            <td>12.12.12 08:12</td>
                            <td>Authentication Error</td>
                            <td>[NFC] 92:23:c3:32</td>
                        </tr>
                        <tr>
                            <td>12.12.12 08:12</td>
                            <td>Admin Login</td>
                            <td>Toni Stigloher</td>
                        </tr>
                    </tbody>
                </Table>
                <Button>Download full Logfile</Button>
            </>
        )
    }
}

export default withTheme(Logs)
